package com.huashe.park.core.service.impl;

import java.util.List;

import com.huashe.park.core.mapper.ProjectInfoMapper;
import com.huashe.park.core.service.IProjectInfoService;
import com.huashe.park.domain.entity.ProjectInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 工程信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-14
 */
@Service
public class ProjectInfoServiceImpl implements IProjectInfoService {
    @Autowired
    private ProjectInfoMapper projectInfoMapper;

    /**
     * 查询工程信息
     * 
     * @param id 工程信息主键
     * @return 工程信息
     */
    @Override
    public ProjectInfo selectProjectInfoById(Long id) {
        return projectInfoMapper.selectProjectInfoById(id);
    }

    /**
     * 查询工程信息列表
     * 
     * @param projectInfo 工程信息
     * @return 工程信息
     */
    @Override
    public List<ProjectInfo> selectProjectInfoList(ProjectInfo projectInfo) {
        return projectInfoMapper.selectProjectInfoList(projectInfo);
    }

    /**
     * 新增工程信息
     * 
     * @param projectInfo 工程信息
     * @return 结果
     */
    @Override
    public int insertProjectInfo(ProjectInfo projectInfo) {
        return projectInfoMapper.insertProjectInfo(projectInfo);
    }

    /**
     * 修改工程信息
     * 
     * @param projectInfo 工程信息
     * @return 结果
     */
    @Override
    public int updateProjectInfo(ProjectInfo projectInfo) {
        return projectInfoMapper.updateProjectInfo(projectInfo);
    }

    /**
     * 批量删除工程信息
     * 
     * @param ids 需要删除的工程信息主键
     * @return 结果
     */
    @Override
    public int deleteProjectInfoByIds(Long[] ids) {
        return projectInfoMapper.deleteProjectInfoByIds(ids);
    }

    /**
     * 删除工程信息信息
     * 
     * @param id 工程信息主键
     * @return 结果
     */
    @Override
    public int deleteProjectInfoById(Long id) {
        return projectInfoMapper.deleteProjectInfoById(id);
    }
}
